chain_name: "dodo DPO Chain"
description: "A dodo DPO Chain"

# Global settings
settings:
  base_dir: "/home/tony/Work/tony/slurm/dodo"
  log_dir: "/home/tony/slurm/logs"
  
  # SLURM defaults - no partition specified
  slurm_defaults:
    time: "48:00:00"
    ntasks_per_node: 8
    cpus_per_task: 4
    gpus_per_node: 8

# Job definitions
jobs:
  # - name: "round_1"
  #   script: "run_ipo_dodo_auk_dpo_r1.sh"
  #   nodes: 4
  #   model_cache_loss_name: "6b_dodo_t23_2025-08-28_01-29-51"
  #   wandb_run_name: "dodo_t23_auk_dpo_r1"
  
  - name: "round_1"
    script: "run_ipo_dodo_crow_v31_r1.sh"
    nodes: 16
    model_cache_loss_name: "crow_t1_d175"
    sft_loss_scale: 0.0
    wandb_run_name: "dodo_crow_t1_d175_crow_v31_n16_r1"
  
  - name: "round_2"
    script: "run_ipo_dodo_crow_v32_r2.sh"
    nodes: 16
    model_cache_loss_name: "dodo_crow_t1_d175_crow_v31_n16_r1"
    sft_loss_scale: 0.0
    wandb_run_name: "dodo_crow_t1_d175_crow_v32_n16_r2"
  
  - name: "round_3"
    script: "run_ipo_dodo_crow_v33_r3.sh"
    nodes: 16
    model_cache_loss_name: "dodo_crow_t1_d175_crow_v32_n16_r2"
    sft_loss_scale: 0.0
    wandb_run_name: "dodo_crow_t1_d175_crow_v33_n16_r3"

  - name: "round_4"
    script: "run_ipo_dodo_crow_v34_r4.sh"
    nodes: 16
    model_cache_loss_name: "dodo_crow_t1_d175_crow_v33_n16_r3"
    sft_loss_scale: 0.0
    wandb_run_name: "dodo_crow_t1_d175_crow_v34_n16_r4"
    
  - name: "round_5"
    script: "run_ipo_dodo_crow_v35_r5.sh"
    nodes: 16
    model_cache_loss_name: "dodo_crow_t1_d175_crow_v34_n16_r4"
    wandb_run_name: "dodo_crow_t1_d175_crow_v35_n16_r5"
  
  - name: "round_6"
    script: "run_ipo_dodo_crow_v36_r6.sh"  
    nodes: 16
    model_cache_loss_name: "dodo_crow_t1_d175_crow_v35_n16_r5"
    wandb_run_name: "dodo_crow_t1_d175_crow_v36_n16_r6"
  
  - name: "round_7"
    script: "run_ipo_dodo_crow_v37_r7.sh"  
    nodes: 16
    model_cache_loss_name: "dodo_crow_t1_d175_crow_v36_n16_r6"
    wandb_run_name: "dodo_crow_t1_d175_crow_v37_n16_r7"

  # - name: "round_8"
  #   script: "run_ipo_dodo_crow_v58_r8.sh"  
  #   nodes: 16
  #   model_cache_loss_name: "dodo_crow_t1_d175_crow_v37_n16_r7"
  #   wandb_run_name: "dodo_crow_t1_d175_crow_v58_n16_r8"

  # - name: "round_9"
  #   script: "run_ipo_dodo_crow_v59_r9.sh"  
  #   nodes: 16
  #   model_cache_loss_name: "dodo_crow_t1_d175_crow_v58_n16_r8"
  #   wandb_run_name: "dodo_crow_t1_d175_crow_v59_n16_r9"